* {
  margin: 0px;
  padding: 0px;
  box-sizing: border-box;
}
body {
  font-family: "Poppins", "Times New Roman", Times, serif;
}
html {
  scroll-behavior: smooth;
}

h2 {
  margin-left: 0.5em;
  font-size: 45px;
  color: #e003f4d8;
}

.banner {
  font-family: "Electrolize", sans-serif;
  color: #e003f4d8;
}

.searchField {
  font-family: "Electrolize", sans-serif;
  color: rgb(48, 204, 17);
}
/*Game Images styling*/

.game-title {
  padding: 2px;
  font-size: 30px;
  text-align: center;
  color: #fbff00;
  text-shadow: 0 0 20px #ff005b;
  font-family: "Special Elite", cursive;
}

p {
  text-align: end;
  color: rgb(245, 7, 7);
  font-family: "Electrolize", sans-serif;
  font-size: 15px;
  text-shadow: 0 0 50px #0f0, 0 0 100px #0f0, 0 0 150px #0f0, 0 0 200px #0f0,
    0 0 250px #0f0;
  animation: animate 5s linear infinite;
}

.logo {
  color: #fff;
  font-family: "Press Start 2P", cursive;
  font-size: 3em;
  text-shadow: 0 0 50px #0f0, 0 0 100px #0f0, 0 0 150px #0f0, 0 0 200px #0f0,
    0 0 250px #0f0;
  animation: animate 5s linear infinite;
}

@keyframes animate {
  0% {
    filter: hue-rotate(0deg);
  }
  100% {
    filter: hue-rotate(360deg);
  }
}
.navigation-bar {
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: black;
  font-family: "Poppins", sans-serif;
  padding: 20px;
}
.nav-list {
  display: flex;
  justify-content: space-evenly;
  width: 45%;
  color: green;
  padding: 2px;
}
.nav-list a {
  display: flex;
  color: rgb(235, 231, 231);
  text-decoration: none;
  letter-spacing: 2px;
  font-weight: bold;
  font-size: 16px;
}
.main-section {
  /*margin-left: 2rem;*/
  background-color: rgb(31, 33, 36);
}
.popular {
  background-color: black;
  padding: 1em;
}

.banner {
  display: flex;
  color: rgb(255, 255, 255);
}

.grid-container {
  padding: 0 16px;
  display: grid;

  grid-gap: 16px;
}

@media screen and (min-width: 1000px) {
  .grid-container {
    grid-template-columns: auto auto;
  }
}

@media screen and (min-width: 1400px) {
  .grid-container {
    grid-template-columns: auto auto auto;
  }
}

.game-card {
  border: 3px solid;
  border-radius: 5px;
  border-color: rgb(15, 246, 246) greenyellow red;
  padding: 2px;
  height: 320px;
}
.game-card:hover {
  cursor: pointer;
}
.card-image {
  width: 100%;
  height: 200px;
  object-fit: cover;
}

.footer {
  background-color: black;
  color: white;
}

.footer p {
  text-align: center;
  font-size: 20px;
  margin-top: 1rem;
}
/*-----------------------------------------------------------------------------------------------*/
/* Slider */

/* LAYOUT */
.container {
  margin: 0 auto;
  overflow: hidden;
  width: 960px;
}

/* CONTENT SLIDER */
#content-slider {
  width: 100%;
  height: 360px;
  margin: 10px auto 0;
}
/* SLIDER */
#slider {
  background: #000;
  border: 5px solid #eaeaea;
  box-shadow: 1px 1px 5px rgba(0, 0, 0, 0.7);
  height: 320px;
  width: 680px;
  margin: 40px auto 0;
  overflow: visible;
  position: relative;
}
#mask {
  overflow: hidden;
  height: 320px;
}
#slider ul {
  margin: 0;
  padding: 0;
  position: relative;
}
#slider li {
  width: 680px;
  height: 320px;
  position: absolute;
  top: -325px;
  list-style: none;
}

#slider li.firstanimation {
  -moz-animation: cycle 25s linear infinite;
  -webkit-animation: cycle 25s linear infinite;
}
#slider li.secondanimation {
  -moz-animation: cycletwo 25s linear infinite;
  -webkit-animation: cycletwo 25s linear infinite;
}
#slider li.thirdanimation {
  -moz-animation: cyclethree 25s linear infinite;
  -webkit-animation: cyclethree 25s linear infinite;
}
#slider li.fourthanimation {
  -moz-animation: cyclefour 25s linear infinite;
  -webkit-animation: cyclefour 25s linear infinite;
}
#slider li.fifthanimation {
  -moz-animation: cyclefive 25s linear infinite;
  -webkit-animation: cyclefive 25s linear infinite;
}

#slider .tooltip {
  background: rgba(0, 0, 0, 0.7);
  width: 300px;
  height: 60px;
  position: relative;
  bottom: 75px;
  left: -320px;
  -moz-transition: all 0.3s ease-in-out;
  -webkit-transition: all 0.3s ease-in-out;
}
#slider .tooltip h1 {
  color: #fff;
  font-size: 24px;
  font-weight: 300;
  line-height: 60px;
  padding: 0 0 0 20px;
}
#slider li#first:hover .tooltip,
#slider li#second:hover .tooltip,
#slider li#third:hover .tooltip,
#slider li#fourth:hover .tooltip,
#slider li#fifth:hover .tooltip {
  left: 0px;
}
#slider:hover li,
#slider:hover .progress-bar {
  -moz-animation-play-state: paused;
  -webkit-animation-play-state: paused;
}

/* PROGRESS BAR */
.progress-bar {
  position: relative;
  top: -5px;
  width: 680px;
  height: 5px;
  background: #000;
  -moz-animation: fullexpand 25s ease-out infinite;
  -webkit-animation: fullexpand 25s ease-out infinite;
}

/* ANIMATION */
@-moz-keyframes cycle {
  0% {
    top: 0px;
  }
  4% {
    top: 0px;
  }
  16% {
    top: 0px;
    opacity: 1;
    z-index: 0;
  }
  20% {
    top: 325px;
    opacity: 0;
    z-index: 0;
  }
  21% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
  92% {
    top: -325px;
    opacity: 0;
    z-index: 0;
  }
  96% {
    top: -325px;
    opacity: 0;
  }
  100% {
    top: 0px;
    opacity: 1;
  }
}
@-moz-keyframes cycletwo {
  0% {
    top: -325px;
    opacity: 0;
  }
  16% {
    top: -325px;
    opacity: 0;
  }
  20% {
    top: 0px;
    opacity: 1;
  }
  24% {
    top: 0px;
    opacity: 1;
  }
  36% {
    top: 0px;
    opacity: 1;
    z-index: 0;
  }
  40% {
    top: 325px;
    opacity: 0;
    z-index: 0;
  }
  41% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
  100% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
}
@-moz-keyframes cyclethree {
  0% {
    top: -325px;
    opacity: 0;
  }
  36% {
    top: -325px;
    opacity: 0;
  }
  40% {
    top: 0px;
    opacity: 1;
  }
  44% {
    top: 0px;
    opacity: 1;
  }
  56% {
    top: 0px;
    opacity: 1;
  }
  60% {
    top: 325px;
    opacity: 0;
    z-index: 0;
  }
  61% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
  100% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
}
@-moz-keyframes cyclefour {
  0% {
    top: -325px;
    opacity: 0;
  }
  56% {
    top: -325px;
    opacity: 0;
  }
  60% {
    top: 0px;
    opacity: 1;
  }
  64% {
    top: 0px;
    opacity: 1;
  }
  76% {
    top: 0px;
    opacity: 1;
    z-index: 0;
  }
  80% {
    top: 325px;
    opacity: 0;
    z-index: 0;
  }
  81% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
  100% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
}
@-moz-keyframes cyclefive {
  0% {
    top: -325px;
    opacity: 0;
  }
  76% {
    top: -325px;
    opacity: 0;
  }
  80% {
    top: 0px;
    opacity: 1;
  }
  84% {
    top: 0px;
    opacity: 1;
  }
  96% {
    top: 0px;
    opacity: 1;
    z-index: 0;
  }
  100% {
    top: 325px;
    opacity: 0;
    z-index: 0;
  }
}

@-webkit-keyframes cycle {
  0% {
    top: 0px;
  }
  4% {
    top: 0px;
  }
  16% {
    top: 0px;
    opacity: 1;
    z-index: 0;
  }
  20% {
    top: 325px;
    opacity: 0;
    z-index: 0;
  }
  21% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
  50% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
  92% {
    top: -325px;
    opacity: 0;
    z-index: 0;
  }
  96% {
    top: -325px;
    opacity: 0;
  }
  100% {
    top: 0px;
    opacity: 1;
  }
}
@-webkit-keyframes cycletwo {
  0% {
    top: -325px;
    opacity: 0;
  }
  16% {
    top: -325px;
    opacity: 0;
  }
  20% {
    top: 0px;
    opacity: 1;
  }
  24% {
    top: 0px;
    opacity: 1;
  }
  36% {
    top: 0px;
    opacity: 1;
    z-index: 0;
  }
  40% {
    top: 325px;
    opacity: 0;
    z-index: 0;
  }
  41% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
  100% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
}
@-webkit-keyframes cyclethree {
  0% {
    top: -325px;
    opacity: 0;
  }
  36% {
    top: -325px;
    opacity: 0;
  }
  40% {
    top: 0px;
    opacity: 1;
  }
  44% {
    top: 0px;
    opacity: 1;
  }
  56% {
    top: 0px;
    opacity: 1;
    z-index: 0;
  }
  60% {
    top: 325px;
    opacity: 0;
    z-index: 0;
  }
  61% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
  100% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
}
@-webkit-keyframes cyclefour {
  0% {
    top: -325px;
    opacity: 0;
  }
  56% {
    top: -325px;
    opacity: 0;
  }
  60% {
    top: 0px;
    opacity: 1;
  }
  64% {
    top: 0px;
    opacity: 1;
  }
  76% {
    top: 0px;
    opacity: 1;
    z-index: 0;
  }
  80% {
    top: 325px;
    opacity: 0;
    z-index: 0;
  }
  81% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
  100% {
    top: -325px;
    opacity: 0;
    z-index: -1;
  }
}
@-webkit-keyframes cyclefive {
  0% {
    top: -325px;
    opacity: 0;
  }
  76% {
    top: -325px;
    opacity: 0;
  }
  80% {
    top: 0px;
    opacity: 1;
  }
  84% {
    top: 0px;
    opacity: 1;
  }
  96% {
    top: 0px;
    opacity: 1;
    z-index: 0;
  }
  100% {
    top: 325px;
    opacity: 0;
    z-index: 0;
  }
}

/* ANIMATION BAR */
@-moz-keyframes fullexpand {
  0%,
  20%,
  40%,
  60%,
  80%,
  100% {
    width: 0%;
    opacity: 0;
  }
  4%,
  24%,
  44%,
  64%,
  84% {
    width: 0%;
    opacity: 0.3;
  }
  16%,
  36%,
  56%,
  76%,
  96% {
    width: 100%;
    opacity: 0.7;
  }
  17%,
  37%,
  57%,
  77%,
  97% {
    width: 100%;
    opacity: 0.3;
  }
  18%,
  38%,
  58%,
  78%,
  98% {
    width: 100%;
    opacity: 0;
  }
}
@-webkit-keyframes fullexpand {
  0%,
  20%,
  40%,
  60%,
  80%,
  100% {
    width: 0%;
    opacity: 0;
  }
  4%,
  24%,
  44%,
  64%,
  84% {
    width: 0%;
    opacity: 0.3;
  }
  16%,
  36%,
  56%,
  76%,
  96% {
    width: 100%;
    opacity: 0.7;
  }
  17%,
  37%,
  57%,
  77%,
  97% {
    width: 100%;
    opacity: 0.3;
  }
  18%,
  38%,
  58%,
  78%,
  98% {
    width: 100%;
    opacity: 0;
  }
}
/* Buttons */
a {
  padding: 25px 30px;
  color: #03e9f4;
  font-size: 24px;
  text-decoration: none;
  text-transform: uppercase;
  /*overflow: hidden;*/
  transition: 0.5s;
  letter-spacing: 4px;
}
a:hover {
  background: #03e9f4;
  color: #050801;
  box-shadow: 0 0 5px #03e9f4, 0 0 25px #03e9f4, 0 0 50px #03e9f4,
    0 0 200px #03e9f4;
}
a span {
  position: absolute;
  display: block;
}
a span:nth-child(1) {
  top: 0;
  left: -100%;
  width: 100%;
  height: 2px;
  background: linear-gradient(90deg, transparent, #03e9f4);
  animation: animate1 1s linear infinite;
}
